<html>
<head>
<title>Ogre::RenderOperation Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RenderOperation.html">RenderOperation</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RenderOperation Class Reference<div class="ingroups"><a class="el" href="group__RenderSystem.html">RenderSystem</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RenderOperation" -->
<p>'New' rendering operation using vertex buffers.  
 <a href="classOgre_1_1RenderOperation.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreRenderOperation_8h_source.html">OgreRenderOperation.h</a>&gt;</code></p>

<p><a href="classOgre_1_1RenderOperation-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10d">OperationType</a> { <br/>
&#160;&#160;<a class="el" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10daed142a19459e32c7d8aef5975f534d5e">OT_POINT_LIST</a> =  1, 
<a class="el" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10da68a6fc2c1c6938542664b89cf213c3eb">OT_LINE_LIST</a> =  2, 
<a class="el" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10da4bc7bbf09ce027518e33e61249e699a1">OT_LINE_STRIP</a> =  3, 
<a class="el" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10da8c00ee152b44fe8000c2fd675437c087">OT_TRIANGLE_LIST</a> =  4, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10da646d8e8fd2aad4baab4809e6f80bfc74">OT_TRIANGLE_STRIP</a> =  5, 
<a class="el" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10da74eb8a7062ea4c0b2fdfe3cc6b9781ad">OT_TRIANGLE_FAN</a> =  6
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The rendering operation type to perform.  <a href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10d">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderOperation.html#a21998ad8a9cb134420158dc8e2663eac">RenderOperation</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1VertexData.html">VertexData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderOperation.html#a306c2ed3599abab29a027325e3d6d721">vertexData</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Vertex source data.  <a href="#a306c2ed3599abab29a027325e3d6d721"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10d">OperationType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderOperation.html#a880adde68db01dffcfac616de0ef1f45">operationType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The type of operation to perform.  <a href="#a880adde68db01dffcfac616de0ef1f45"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderOperation.html#ae12d3ff9f224f21738fa50f832484f3d">useIndexes</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specifies whether to use indexes to determine the vertices to use as input.  <a href="#ae12d3ff9f224f21738fa50f832484f3d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1IndexData.html">IndexData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderOperation.html#abd5f99e4d8429321e0da75acdcfdc52f">indexData</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Index data - only valid if useIndexes is true.  <a href="#abd5f99e4d8429321e0da75acdcfdc52f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderOperation.html#a6f6cbc81ef5f41d3a0357a40095aba33">srcRenderable</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Debug pointer back to renderable which created this.  <a href="#a6f6cbc81ef5f41d3a0357a40095aba33"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderOperation.html#a98de91064f888a6a7795df15ef153e6f">numberOfInstances</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The number of instances for the render operation - this option is supported in only a part of the render systems.  <a href="#a98de91064f888a6a7795df15ef153e6f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderOperation.html#a58effcf80fb468f10360aeab08d3c32e">useGlobalInstancingVertexBufferIsAvailable</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A flag to indicate that it is possible for this operation to use a global vertex instance buffer if available.  <a href="#a58effcf80fb468f10360aeab08d3c32e"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>'New' rendering operation using vertex buffers. </p>

<p>Definition at line <a class="el" href="OgreRenderOperation_8h_source.html#l00044">44</a> of file <a class="el" href="OgreRenderOperation_8h_source.html">OgreRenderOperation.h</a>.</p>
</div><hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="a7a272218dae54048c87f31176c19e10d"></a><!-- doxytag: member="Ogre::RenderOperation::OperationType" ref="a7a272218dae54048c87f31176c19e10d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10d">Ogre::RenderOperation::OperationType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The rendering operation type to perform. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a7a272218dae54048c87f31176c19e10daed142a19459e32c7d8aef5975f534d5e"></a><!-- doxytag: member="OT_POINT_LIST" ref="a7a272218dae54048c87f31176c19e10daed142a19459e32c7d8aef5975f534d5e" args="" -->OT_POINT_LIST</em>&nbsp;</td><td>
<p>A list of points, 1 vertex per point. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a7a272218dae54048c87f31176c19e10da68a6fc2c1c6938542664b89cf213c3eb"></a><!-- doxytag: member="OT_LINE_LIST" ref="a7a272218dae54048c87f31176c19e10da68a6fc2c1c6938542664b89cf213c3eb" args="" -->OT_LINE_LIST</em>&nbsp;</td><td>
<p>A list of lines, 2 vertices per line. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a7a272218dae54048c87f31176c19e10da4bc7bbf09ce027518e33e61249e699a1"></a><!-- doxytag: member="OT_LINE_STRIP" ref="a7a272218dae54048c87f31176c19e10da4bc7bbf09ce027518e33e61249e699a1" args="" -->OT_LINE_STRIP</em>&nbsp;</td><td>
<p>A strip of connected lines, 1 vertex per line plus 1 start vertex. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a7a272218dae54048c87f31176c19e10da8c00ee152b44fe8000c2fd675437c087"></a><!-- doxytag: member="OT_TRIANGLE_LIST" ref="a7a272218dae54048c87f31176c19e10da8c00ee152b44fe8000c2fd675437c087" args="" -->OT_TRIANGLE_LIST</em>&nbsp;</td><td>
<p>A list of triangles, 3 vertices per triangle. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a7a272218dae54048c87f31176c19e10da646d8e8fd2aad4baab4809e6f80bfc74"></a><!-- doxytag: member="OT_TRIANGLE_STRIP" ref="a7a272218dae54048c87f31176c19e10da646d8e8fd2aad4baab4809e6f80bfc74" args="" -->OT_TRIANGLE_STRIP</em>&nbsp;</td><td>
<p>A strip of triangles, 3 vertices for the first triangle, and 1 per triangle after that. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a7a272218dae54048c87f31176c19e10da74eb8a7062ea4c0b2fdfe3cc6b9781ad"></a><!-- doxytag: member="OT_TRIANGLE_FAN" ref="a7a272218dae54048c87f31176c19e10da74eb8a7062ea4c0b2fdfe3cc6b9781ad" args="" -->OT_TRIANGLE_FAN</em>&nbsp;</td><td>
<p>A fan of triangles, 3 vertices for the first triangle, and 1 per triangle after that. </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreRenderOperation_8h_source.html#l00047">47</a> of file <a class="el" href="OgreRenderOperation_8h_source.html">OgreRenderOperation.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a21998ad8a9cb134420158dc8e2663eac"></a><!-- doxytag: member="Ogre::RenderOperation::RenderOperation" ref="a21998ad8a9cb134420158dc8e2663eac" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderOperation.html#a21998ad8a9cb134420158dc8e2663eac">Ogre::RenderOperation::RenderOperation</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderOperation_8h_source.html#l00087">87</a> of file <a class="el" href="OgreRenderOperation_8h_source.html">OgreRenderOperation.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="abd5f99e4d8429321e0da75acdcfdc52f"></a><!-- doxytag: member="Ogre::RenderOperation::indexData" ref="abd5f99e4d8429321e0da75acdcfdc52f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1IndexData.html">IndexData</a>* <a class="el" href="classOgre_1_1RenderOperation.html#abd5f99e4d8429321e0da75acdcfdc52f">Ogre::RenderOperation::indexData</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Index data - only valid if useIndexes is true. </p>

<p>Definition at line <a class="el" href="OgreRenderOperation_8h_source.html#l00075">75</a> of file <a class="el" href="OgreRenderOperation_8h_source.html">OgreRenderOperation.h</a>.</p>

</div>
</div>
<a class="anchor" id="a98de91064f888a6a7795df15ef153e6f"></a><!-- doxytag: member="Ogre::RenderOperation::numberOfInstances" ref="a98de91064f888a6a7795df15ef153e6f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1RenderOperation.html#a98de91064f888a6a7795df15ef153e6f">Ogre::RenderOperation::numberOfInstances</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The number of instances for the render operation - this option is supported in only a part of the render systems. </p>

<p>Definition at line <a class="el" href="OgreRenderOperation_8h_source.html#l00081">81</a> of file <a class="el" href="OgreRenderOperation_8h_source.html">OgreRenderOperation.h</a>.</p>

</div>
</div>
<a class="anchor" id="a880adde68db01dffcfac616de0ef1f45"></a><!-- doxytag: member="Ogre::RenderOperation::operationType" ref="a880adde68db01dffcfac616de0ef1f45" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10d">OperationType</a> <a class="el" href="classOgre_1_1RenderOperation.html#a880adde68db01dffcfac616de0ef1f45">Ogre::RenderOperation::operationType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The type of operation to perform. </p>

<p>Definition at line <a class="el" href="OgreRenderOperation_8h_source.html#l00066">66</a> of file <a class="el" href="OgreRenderOperation_8h_source.html">OgreRenderOperation.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6f6cbc81ef5f41d3a0357a40095aba33"></a><!-- doxytag: member="Ogre::RenderOperation::srcRenderable" ref="a6f6cbc81ef5f41d3a0357a40095aba33" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Renderable.html">Renderable</a>* <a class="el" href="classOgre_1_1RenderOperation.html#a6f6cbc81ef5f41d3a0357a40095aba33">Ogre::RenderOperation::srcRenderable</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Debug pointer back to renderable which created this. </p>

<p>Definition at line <a class="el" href="OgreRenderOperation_8h_source.html#l00077">77</a> of file <a class="el" href="OgreRenderOperation_8h_source.html">OgreRenderOperation.h</a>.</p>

</div>
</div>
<a class="anchor" id="a58effcf80fb468f10360aeab08d3c32e"></a><!-- doxytag: member="Ogre::RenderOperation::useGlobalInstancingVertexBufferIsAvailable" ref="a58effcf80fb468f10360aeab08d3c32e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderOperation.html#a58effcf80fb468f10360aeab08d3c32e">Ogre::RenderOperation::useGlobalInstancingVertexBufferIsAvailable</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A flag to indicate that it is possible for this operation to use a global vertex instance buffer if available. </p>

<p>Definition at line <a class="el" href="OgreRenderOperation_8h_source.html#l00085">85</a> of file <a class="el" href="OgreRenderOperation_8h_source.html">OgreRenderOperation.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae12d3ff9f224f21738fa50f832484f3d"></a><!-- doxytag: member="Ogre::RenderOperation::useIndexes" ref="ae12d3ff9f224f21738fa50f832484f3d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderOperation.html#ae12d3ff9f224f21738fa50f832484f3d">Ogre::RenderOperation::useIndexes</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Specifies whether to use indexes to determine the vertices to use as input. </p>
<p>If false, the vertices are simply read in sequence to define the primitives. If true, indexes are used instead to identify vertices anywhere in the buffer, and allowing vertices to be used more than once. If true, then the indexBuffer, indexStart and numIndexes properties must be valid. </p>

<p>Definition at line <a class="el" href="OgreRenderOperation_8h_source.html#l00072">72</a> of file <a class="el" href="OgreRenderOperation_8h_source.html">OgreRenderOperation.h</a>.</p>

</div>
</div>
<a class="anchor" id="a306c2ed3599abab29a027325e3d6d721"></a><!-- doxytag: member="Ogre::RenderOperation::vertexData" ref="a306c2ed3599abab29a027325e3d6d721" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VertexData.html">VertexData</a>* <a class="el" href="classOgre_1_1RenderOperation.html#a306c2ed3599abab29a027325e3d6d721">Ogre::RenderOperation::vertexData</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Vertex source data. </p>

<p>Definition at line <a class="el" href="OgreRenderOperation_8h_source.html#l00063">63</a> of file <a class="el" href="OgreRenderOperation_8h_source.html">OgreRenderOperation.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRenderOperation_8h_source.html">OgreRenderOperation.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
